RMDIR(1)

NAZWA
rmdir - usuwa puste katalogi

SKŁADNIA
rmdir [opcja]... katalog...

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo rmdir
lub
    info rmdir.

Ta strona podręcznika opisuje polecenie rmdir w wersji GNU.

rmdir usuwa każdy podany pusty katalog. Jeśli jakiś nieopcyjny argument nie odnosi się do istniejącego, pustego katalogu, to jest to błąd.

  OPCJE

--ignore-fail-on-non-empty
    Ignoruje każde niepowodzenie wynikające wyłącznie stąd, że katalog nie jest pusty.

-p, --parents
    Usuwa katalogi nadrzędne. Usuwa katalog, a następnie spróbuje usunąć każdą składową tego katalogu. Zatem, np. rmdir -p a/b/c jest zbliżone do rmdir a/b/c a/b a. W związku z tym zawodzi, jeśli któryś z katalogów nadrzędnych nie będzie pusty. By taka sytuacja nie powodowała wyświetlenia komunikatu diagnostycznego i niepomyślnego zakończenia działania rmdir, należy skorzystać z opcji --ignore-fail-on-non-empty.

--verbose
    Wyświetla komunikaty diagnostyczne dla każdego pomyślnie usuniętego katalogu.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy działanie.

--version
    Wyświetla numer wersji programu i kończy działanie.

W podręczniku rm(1) znajdziesz opis, jak usuwać niepuste katalogi (rekurencyjnie).

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-fileutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
rm(1), mkdir(1), fileutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi plikowych GNU wersji 4.01.